Bug 1029564 - Setting attribute path and relative-to of access log doesn't require reload but it is not active before server reload
Setting attribute path and relative-to of access log doesn't require reload ...
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.2.0,6.4.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Rémy Maucherat
Radim Hatlapatka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 10:49 EST by Jan Blizňák
Modified: 2017-10-09 20:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Blizňák 2013-11-12 10:49:30 EST
Description of problem:
When you try to set path or relative-to path of access log for virtual host in CLI, you must first add "directory=configuration" node. If you pass attributes values directly in the :add(path="new/relative/path") operation, no reload is required, but new setting is not active until reload.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER7

How reproducible:
always

Steps to Reproduce:
1. enable access logs and reload
/subsystem=web/virtual-server=default-host/access-log=configuration:add()
2. change relative path from "default-host" to 
/subsystem=web/virtual-server=default-host/configuration=access-log/directory=configuration:add(path="new/relative/path")
3. do few web requests on virtual server url
 check if log is located in new location


Actual results:
no reload required, but access log is still written into default location

Expected results:
reload required flag is set for :add() operation if we call it with attributes values

Additional info:
changing "path" or "relative-to" attribute with operation :write-attribute is behaving correctly - reload required flag is set.
Comment 1 Radim Hatlapatka 2015-01-05 04:42:51 EST
Checked with EAP 6.4.0.DR13 and the issue is still valid

Note You need to log in before you can comment on or make changes to this bug.